body {
    font-family: -apple-system, system-ui, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Fira Sans, Ubuntu, Oxygen, Oxygen Sans, Cantarell, Droid Sans, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Lucida Grande, Helvetica, Arial, sans-serif;
    margin: 0;
    overflow-x: hidden;
    padding: 0;
}

.brdr {
    border: 0px solid red;
}

nav {
    background-color: #283e4a;
    height: 52px;
    width: 100%;
    position: sticky;
    top: 0;
    display: flex;
    /* grid-template-columns: 1fr; */
    justify-content: center;


}

nav section {
    width: 70%;
    height: 100%;
    /* margin: auto; */
    display: grid;
    grid-template-columns: 0.1fr 1fr 1fr;


}

nav ul {
    display: flex;
    color: #fff;
    list-style-type: none;
    float: right;
    padding: 0px;
    margin: 0;
    height: 50px;
    font-size: 13px;

}

.selected-nav {
    border-bottom: 2px solid #fff;
}

.separation-nav {
    border-left: 1px solid #888;
}

.premium-nav {
    margin-top: -2px;
    padding-top: 0;
}

.nav-network {
    width: 106px;
}



.premium-nav-a {
    font-size: 13px;
    width: 80px;
    margin: 0 5px;
    color: rgb(187, 187, 130);
}


nav ul li {

    padding: 2px;
    padding-top: 5px;
    justify-items: center;
    display: flex;
}

nav li a span {
    display: flex;
    align-items: center;
    padding-top: 3px;
}

nav ul a {
    color: #fff;
    text-decoration: none;
    margin: 0 15px;
    text-align: center;
    font-size: 14px;

}

.nav-logo {
    font-size: 35px;
    color: rgb(255, 255, 255);
    display: inline-flex;
    /* margin: auto; */
    height: 100%;
    align-items: center;
    align-self: center;
    text-decoration: none;
}

.nav-search {
    /* height: 100%; */
    display: flex;
    align-items: center;
    margin: 0 auto 0 15px;
}

.hidden-ul {
    display: none;
}

.nav-me2 {
    display: none;
}

.nav-search input {
    width: 15vw;
    border-radius: 2px;
    border-width: 0px;
    background-color: rgb(221, 235, 241);
    /* height: 60%; */
    margin: 0;
    line-height: 100%;
    padding: 10px;
    font-size: 15px;
    padding-left: 35px;
    outline: none;
}

.nav-search-icon {
    position: absolute;
    z-index: 50;
    font-size: 15px;
    padding: 5px 10px;
    color: #555;
    /* top: 0;
    left: 0; */
}

main {
    height: fit-content;
    background-color: rgb(245, 245, 245);
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas: "feed ";
    justify-items: center;
    justify-self: center;
}

main .feed {
    /* width: 600px; */
    max-width: 600px;
    grid-area: feed;
    display: grid;
    /* margin: auto; */
    /* background-color: white; */
    padding: 20px;
}

.feed .post {

    box-shadow: 0 0 3px #333;
    padding: 20px;
    margin-bottom: 8px;
    border-radius: 2px;
    background-color: white;

}

.post .post-head {
    display: grid;
    grid-template-columns: 1fr 6fr 3fr;
}

.post-head-text {
    margin-left: 10px;

}

.post .post-head-img {
    width: 50px;
}

.post .post-head-name {
    font-weight: 600;
    text-decoration: none;
    color: inherit;
}

.post .post-head-name:hover {
    text-decoration: underline;
    color: rgb(39, 151, 226);
}

.post-subtext {
    font-size: 13px;
    color: gray;
}

.post-head-menu {
    display: grid;
    grid-template-columns: 2fr 1fr;
    justify-items: center;
    align-items: flex-start;

}

.post-follow {
    justify-items: center;
    padding: 10px 5px;
    text-decoration: none;
    font-weight: 500;
    color: #458;
    height: fit-content;
    transition: all 0.3s;
    border-radius: 5px;
    display: grid;
    grid-template-columns: 0.5fr 2fr;
    align-items: center;
    width: max-content;
    cursor: pointer;
}

.post-follow:hover {
    background-color: rgb(230, 255, 254);
}

a {
    cursor: pointer;
}


.post-head .fa-ellipsis-h {
    padding: 10px;
    color: grey;
    font-size: 17px;
    border-radius: 50%;
    transition: all 0.3s;
    height: fit-content;
    cursor: pointer;

}

.post-head .fa-ellipsis-h:hover {
    background-color: rgb(211, 211, 211);
}

.post-body {
    margin-top: 10px;
    font-size: 15px;
}

.post-body a {
    color: rgb(48, 119, 167);
    font-weight: 500;
    text-decoration: none;
}

.post-body a:hover {

    text-decoration: underline;
}

.post-img {
    width: 100%;
    margin-top: 20px;
}

hr {
    border: 0;
    border-top: 1px solid #c7c7c7;
    /* border-bottom: 1px solid rgb(245, 243, 243); */
}

.post-buttons {

    margin: 5px;
    margin-top: 15px;
}

.post-com-text {
    margin-left: 5px;
    font-size: 14px;
    color: rgb(116, 111, 111);
}

.post-com-text i {
    cursor: pointer;
}

.post-com-text a {
    text-decoration: none;
    color: rgb(146, 145, 145);
}

.post-com-text a:hover {
    text-decoration: underline;
    color: cornflowerblue;
}

.post-btns {
    font-size: 17px;
    text-decoration: none;
    padding: 10px;
    transition: color 0.2s;
    transition: background-color 0.2s;

    color: rgba(0, 0, 0, 0.699);
}

.post-btns:hover {
    text-decoration: none;
    background-color: rgb(235, 235, 240);
    color: rgba(0, 0, 0, 0.87);
}

.see-more {
    margin: 20px auto;
    font-size: 17px;
    font-weight: 400;
    text-decoration: none;
    padding: 5px 10px;
    color: rgb(75, 73, 73);
    /* transition: all 0.1s; */
    border: 1px solid rgb(80, 80, 82);
}

.see-more:hover {
    font-weight: 500;
    border-width: 2px;

}

footer {
    position: sticky;
    bottom: 0;
    z-index: 50;
}


footer ul li {
    color: rgb(51, 50, 50);

    padding: 2px;
    padding-top: 5px;
    justify-items: center;
    display: flex;
}

footer li a span {
    display: flex;
    align-items: center;
    padding-top: 3px;
}

footer ul a {
    text-decoration: none;
    margin: 0 15px;
    text-align: center;
    font-size: 14px;
    font-weight: 500;

}


footer {
    background-color: #e5e7e9;
    height: 52px;
    width: 100%;

    display: flex;
    /* grid-template-columns: 1fr; */
    justify-content: center;
    display: none;


}

footer section {
    width: 50%;
    height: 100%;
    justify-items: center;
    /* margin: auto; */
    display: flex;
    grid-template-columns: 0.1fr 1fr 1fr;


}

footer ul {
    display: flex;
    color: #fff;
    list-style-type: none;
    padding: 0px;
    margin: auto;
    height: 50px;
    font-size: 13px;

}

.selected-nav2 {
    color: rgb(46, 148, 173);
}